SYSCTL(8)

BEZEICHNUNG
sysctl - Kernelparameter zur Laufzeit konfigurieren

ÜBERSICHT
sysctl [Optionen] [Variable[=Wert]] […]
sysctl -p [Datei oder regulärer_Ausdruck] […]

BESCHREIBUNG
sysctl wird dazu verwendet, Kernelparameter zur Laufzeit zu ändern. Die verfügbaren Parameter sind unter /proc/sys/ aufgelistet. Für die sysctl-Unterstützung in Linux ist Procfs notwendig. Sie können sysctl sowohl zum Lesen als auch zum Schreiben von Sysctl-Daten verwenden.

PARAMETER

Variable
    bezeichnet den Namen des Schlüssels, aus dem gelesen werden soll. Ein Beispiel ist kernel.ostype. Anstelle von ».« wird auch »/« als Trenner akzeptiert.

Variable=Wert
    Um einen Schlüssel zu setzen, verwenden Sie die Form Variable=Wert, wobei die Variable der Schlüssel ist und Wert der Wert, auf den er gesetzt werden soll. Wenn der Wert Anführungszeichen oder Zeichen enthält, die von der Shell ausgewertet werden, müssen Sie den Wert in doppelte Anführungszeichen (") einschließen.

-n, --values
    deaktiviert die Ausgabe des Schlüsselnamens, wenn Werte ausgegeben werden.

-e, --ignore
    ignoriert Fehlermeldungen über unbekannte Schlüssel.

-N, --names
    gibt nur die Namen aus. Dies könnte mit Shells nützlich sein, die über eine programmierbare Vervollständigung verfügen.

-q, --quiet
    bewirkt, dass die gesetzten Werte nicht in die Standardausgabe geschrieben werden.

-w, --write
    erzwingt, dass alle Argumente Schreibargumente sind und gibt einen Fehler aus, wenn die Argumente nicht nach dieser Vorgabe ausgewertet werden können.

-p[DATEI], --load[=DATEI]
    lädt sysctl-Einstellungen aus der angegebenen Datei oder aus /etc/sysctl.conf, falls keine Datei angegeben ist. Die Angabe von - als Dateiname bewirkt, dass die Daten aus der Standardeingabe gelesen werden. Mit dieser Option sieht sysctl Argumente als Dateien an, die in der Reihenfolge gelesen werden, in der sie angegeben sind. Das Datei-Argument kann als regulärer Ausdruck angegeben werden.

-a, --all
    zeigt alle aktuell verfügbaren Werte an.

--deprecated
    schließt veraltete Parameter in die Auflistung der Werte mit --all ein.

-b, --binary
    gibt Werte ohne Zeilenumbrüche aus.

--system
    lädt Einstellungen aus allen Systemkonfigurationsdateien. Siehe RANGFOLGE DER SYSTEMDATEIEN unten.

-r, --pattern Muster
    wendet nur Einstellungen an, die dem angegebenen Muster entsprechen. Das Muster kann ein erweiterter regulärer Ausdruck sein.

-A  Alias für -a

-d  Alias für -h

-f  Alias für -p

-X  Alias für -a

-o  bewirkt nichts; ist nur zwecks BSD-Kompatibilität vorhanden.

-x  bewirkt nichts; ist nur zwecks BSD-Kompatibilität vorhanden.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

RANGFOLGE DER SYSTEMDATEIEN
Wenn Sie die Option --system verwenden, liest sysctl Dateien aus den Verzeichnissen in der folgenden Liste in der angegebenen Reihenfolge von oben nach unten. Sobald eine Datei eines angegebenen Namens geladen ist, werden jegliche Dateien gleichen Namens in darauf folgenden Verzeichnissen ignoriert.

/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

All configuration files are sorted in lexicographic order, regardless of the directory they reside in. Configuration files can either be completely replaced (by having a new configuration file with the same name in a directory of higher priority) or partially replaced (by having a configuration file that is ordered later).

BEISPIELE
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --pattern '^net.ipv6' --system

VERALTETE PARAMETER
Die Parameter base_reachable_time und retrans_time sind veraltet. Der Befehl sysctl erlaubt keine Änderungen der Werte dieser Parameter. Benutzer, die nach wie vor veraltete Kernel-Schnittstellen verwenden, sollten die Werte auf anderen Wegen in das /proc-Dateisystem befördern. Zum Beispiel:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

DATEIEN
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

SIEHE AUCH
proc(5), sysctl.conf(5), regex(7)

AUTOR
George Staikos (staikos@0wned.org)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org